Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Interface ICheckable

All Known Implementing Classes:
  CheckboxTableViewer, CheckboxTreeViewer

public interface ICheckable

Interface for objects that support elements with a checked state.

See Also:
  `ICheckStateListener`, `CheckStateChangedEvent`

Method Summary
`void` | `addCheckStateListener(ICheckStateListener listener)` Adds a listener for changes to the checked state of elements in this viewer.
`boolean` | `getChecked(Object element)` Returns the checked state of the given element.
`void` | `removeCheckStateListener(ICheckStateListener listener)` Removes the given check state listener from this viewer.
`boolean` | `setChecked(Object element, boolean state)` Sets the checked state for the given element in this viewer.

Method Detail

### addCheckStateListener

    public void addCheckStateListener(ICheckStateListener listener)

  Adds a listener for changes to the checked state of elements in this viewer. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - a check state listener

### getChecked

    public boolean getChecked(Object element)

  Returns the checked state of the given element.

  Parameters:
    `element` - the element
  Returns:
    `true` if the element is checked, and `false` if not checked

### removeCheckStateListener

    public void removeCheckStateListener(ICheckStateListener listener)

  Removes the given check state listener from this viewer. Has no effect if an identical listener is not registered.

  Parameters:
    `listener` - a check state listener

### setChecked

    public boolean setChecked(Object element,
                              boolean state)

  Sets the checked state for the given element in this viewer.

  Parameters:
    `element` - the element
    `state` - `true` if the item should be checked, and `false` if it should be unchecked
  Returns:
    `true` if the checked state could be set, and `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.